Retrieve linked connector
curl --request GET \
--url https://api.hotglue.com/v2/{env_id}/{flow_id}/{tenant}/linkedConnectors \
--header 'x-api-key: <api-key>'import requests
url = "https://api.hotglue.com/v2/{env_id}/{flow_id}/{tenant}/linkedConnectors"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.hotglue.com/v2/{env_id}/{flow_id}/{tenant}/linkedConnectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"tap": "asana",
"domain": "asana.com",
"label": "Asana",
"tap_url": "https://app.asana.com/-/oauth_authorize?response_type=code&client_id=*********",
"auth_url": "https://app.asana.com/-/oauth_token",
"icon": "https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/asana.svg",
"type": "oauth",
"client_id": "**********",
"fieldMap": {
"tasks": {
"name": "tasks",
"selected": [
"gid",
"modified_at",
"resource_type",
"name",
"approval_status",
"assignee_status",
"completed",
"completed_at",
"completed_by",
"created_at",
"dependencies",
"dependents",
"due_at",
"due_on",
"external",
"hearted",
"hearts",
"html_notes",
"is_rendered_as_seperator",
"liked",
"likes",
"memberships",
"notes",
"num_hearts",
"num_likes",
"num_subtasks",
"resource_subtype",
"start_on",
"assignee",
"custom_fields",
"followers",
"parent",
"permalink_url",
"projects",
"tags",
"workspace"
]
}
}
}
]{}Linked connectors
Retrieve linked connector
Fetch the configuration details for a linked connector
GET
/
v2
/
{env_id}
/
{flow_id}
/
{tenant}
/
linkedConnectors
Retrieve linked connector
Authorizations
Path Parameters
ID of environment
ID of flow
ID of tenant
Query Parameters
Request the underlying config for the linked source
Request the catalog of available fields/data to be returned in the payload
JWT token generated with your private signing key.
Response
200
Example:
"asana"
Example:
"asana.com"
Example:
"Asana"
Example:
"https://app.asana.com/-/oauth_authorize?response_type=code&client_id=*********"
Example:
"https://app.asana.com/-/oauth_token"
Example:
"https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/asana.svg"
Example:
"oauth"
Example:
"**********"
Show child attributes
Show child attributes
⌘I